%global srcname m3u8
%global _unpackaged_files_terminate_build 1

%bcond_without  tests

Name:           python-%{srcname}
Version:        3.1.0
Release:        2%{?dist}
Summary:        Python module %srcname parser
License:        MIT
Url:            https://github.com/globocom/m3u8
Source0:        %url/archive/refs/tags/%{version}.tar.gz#/%{srcname}-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-rpm-macros
BuildRequires:  python3-iso8601
BuildRequires:  python3-pytest
BuildRequires:  python3-setuptools
BuildRequires:  python3dist(wheel)
Requires:       python(abi)
Requires:       python3dist(iso8601)

BuildArch:      noarch

%description
%summary

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
# needs BR: python3-devel
%pyproject_buildrequires -r

%build
# Bytecompile Python modules
%py3_build

%install
%py3_install

%if %{with tests}
%check
# 3 deselected tests require internet connection
%pytest -vv -k "not (test_load_should_ and (uri or redirect))"
%endif

%files
%doc README.rst
%license LICENSE
%dir %{python3_sitelib}/%{srcname}/
%dir %{python3_sitelib}/%{srcname}/__pycache__/
%{python3_sitelib}/%{srcname}-%{version}-py?.??.egg-info
%{python3_sitelib}/%{srcname}/__pycache__/*.pyc
%{python3_sitelib}/%{srcname}/*.py

%changelog
* Mon Aug 08 2022 Martin Gansser <martinkg@fedoraproject.org> 3.1.0-2
- Delete superfluous dependencies

* Mon Aug 08 2022 Martin Gansser <martinkg@fedoraproject.org> 3.1.0-1
- initial import by package builder
